Fetch orders settled in date range
curl --request GET \
--url https://sandbox.api.btdx.io/orders/settled \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/orders/settled"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/orders/settled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"status": "Cancelled",
"matchBehavior": "RetainUnmatched",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"status": "Cancelled",
"matchBehavior": "RetainUnmatched",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}Orders
Fetch orders settled in date range
Fetch orders settled in date range, filtered by wallet (settled orders are those of status ‘Won’, ‘Lost’, or ‘Voided’). Page size limit 500, max date range is 10 days.
GET
/
orders
/
settled
Fetch orders settled in date range
Headers
Header with the accessToken for the current session
Query Parameters
beginning of the settled date range filter
end of the settled date range filter
wallet to filter by
Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I